Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.tr
Interface ProcessContext

All Superinterfaces:
  ExprContext

public interface ProcessContext
extends ExprContext

Processing context for a Stylesheet (Sheet) maintains state for a transformation, and actually does the dispatching of the transformation work by calling invoke() on Actions

Nested Class Summary
`static interface` | `ProcessContext.Memento`

Method Summary
`void` | `applyImports(Node node, Result result)`
`void` | `bindLocalVariable(Name name, Variant variant)` binds a varaible to the given Name
`ProcessContext.Memento` | `createMemento()`
`Result` | `createNodeResult(Node baseNode, Node[] rootNodeRef)`
`java.lang.Object` | `get(java.lang.Object key)`
`Variant` | `getParam(Name name)`
`SaxFilterMaker` | `getSaxExtensionFilter()` returns an XRAP (Extension element) processor, packaged as a SAX filter
`void` | `invoke(NodeIterator nodes, com.jclark.xsl.tr.Action action, Result result)`
`void` | `invokeWithParams(com.jclark.xsl.tr.Action action, Name[] paramNames, Variant[] paramValues, Node node, Result result)`
`void` | `process(NodeIterator nodes, Name modeName, Name[] paramNames, Variant[] paramValues, Result result)` perform the transformation
`void` | `put(java.lang.Object key, java.lang.Object value)`
`Name` | `unaliasName(Name name)`
`NamespacePrefixMap` | `unaliasNamespacePrefixMap(NamespacePrefixMap map)`
`void` | `unbindLocalVariables(int n)`
`void` | `useAttributeSet(Name name, Node node, Result result)`

Methods inherited from interface com.jclark.xsl.expr.ExprContext
`getCurrent, getDocument, getExtensionContext, getGlobalVariableValue, getKeyValuesTable, getLastPosition, getLocalVariableValue, getPosition, getSystemProperty, getTree`

Method Detail

### process

    public void process(NodeIterator nodes,
                        Name modeName,
                        Name[] paramNames,
                        Variant[] paramValues,
                        Result result)
                 throws XSLException

  perform the transformation

  Throws:
    `XSLException`

### invoke

    public void invoke(NodeIterator nodes,
                       com.jclark.xsl.tr.Action action,
                       Result result)
                throws XSLException

  Throws:
    `XSLException`

### getParam

    public Variant getParam(Name name)
                     throws XSLException

  Returns:
    the parameter bound to the given name
  Throws:
    `XSLException`

### applyImports

    public void applyImports(Node node,
                             Result result)
                      throws XSLException

  Throws:
    `XSLException`

### bindLocalVariable

    public void bindLocalVariable(Name name,
                                  Variant variant)
                           throws XSLException

  binds a varaible to the given Name

  Throws:
    `XSLException`

### unbindLocalVariables

    public void unbindLocalVariables(int n)

### invokeWithParams

    public void invokeWithParams(com.jclark.xsl.tr.Action action,
                                 Name[] paramNames,
                                 Variant[] paramValues,
                                 Node node,
                                 Result result)
                          throws XSLException

  Throws:
    `XSLException`

### createMemento

    public ProcessContext.Memento createMemento()

### useAttributeSet

    public void useAttributeSet(Name name,
                                Node node,
                                Result result)
                         throws XSLException

  Throws:
    `XSLException`

### unaliasName

    public Name unaliasName(Name name)

### unaliasNamespacePrefixMap

    public NamespacePrefixMap unaliasNamespacePrefixMap(NamespacePrefixMap map)

### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

### get

    public java.lang.Object get(java.lang.Object key)

### createNodeResult

    public Result createNodeResult(Node baseNode,
                                   Node[] rootNodeRef)
                            throws XSLException

  Throws:
    `XSLException`

### getSaxExtensionFilter

    public SaxFilterMaker getSaxExtensionFilter()

  returns an XRAP (Extension element) processor, packaged as a SAX filter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD